import type { Moment } from "moment-timezone";
import type { TimeOnlyOptions } from "../../lib/formatting/types";
import type { DatetimeUnit } from "../../../metabase-types/api/query";
export declare function duration(milliseconds: number): string;
interface TimeWithUnitType {
    local?: boolean;
    time_enabled?: "minutes" | "milliseconds" | "seconds" | boolean;
    time_format?: string;
    time_style?: string;
}
export declare function formatTimeWithUnit(value: number, unit: DatetimeUnit, options?: TimeWithUnitType): any;
export declare function formatTime(time: Moment, unit?: DatetimeUnit, options?: TimeOnlyOptions): string;
export {};
